Skip to content
View as Markdown

GET Get Funnel Subscribers​

GET
/funnels/{id}/subscribers

Retrieve a paginated list of subscribers enrolled in a specific automation funnel. Includes subscriber details, sequence progress, and metrics. Supports filtering by search, status, and sequence ID. Optionally includes the funnel object and sequence list.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

The funnel ID.

Type
integer
Required

Query Parameters

search

Search subscribers by name or email.

Type
string
status

Filter by funnel subscriber status. Use all to include all statuses.

Type
string
Valid values
"all""active""completed""cancelled""pending""waiting"
sequence_id

Filter subscribers that have metrics for a specific sequence ID.

Type
integer
with[]

Include additional data. Supported values: funnel, sequences.

Type
array
per_page

Number of subscribers per page.

Type
integer
Default
15
page

Page number for pagination.

Type
integer
Default
1

Responses​

Paginated list of funnel subscribers.

application/json
JSON
{
"funnel_subscribers": {
"total": 0,
"per_page": 0,
"current_page": 0,
"last_page": 0,
"data": [
{
"id": 0,
"funnel_id": 0,
"subscriber_id": 0,
"status": "string",
"last_sequence_id": 0,
"next_sequence_id": 0,
"next_execution_time": "string",
"created_at": "string",
"updated_at": "string",
"subscriber": {
},
"last_sequence": {
},
"next_sequence_item": {
},
"funnel": {
"id": 0,
"title": "string",
"trigger_name": "string",
"status": "string",
"conditions": [
{
}
],
"settings": {
},
"created_by": 0,
"created_at": "string",
"updated_at": "string",
"subscribers_count": 0,
"description": "string",
"labels": [
]
},
"metrics": [
]
}
]
},
"funnel": {
"id": 0,
"title": "string",
"trigger_name": "string",
"status": "string",
"conditions": [
{
}
],
"settings": {
},
"created_by": 0,
"created_at": "string",
"updated_at": "string",
"subscribers_count": 0,
"description": "string",
"labels": [
]
},
"sequences": [
{
"id": 0,
"funnel_id": 0,
"action_name": "string",
"title": "string",
"type": "string",
"settings": {
},
"conditions": [
{
}
],
"sequence": 0,
"delay": 0,
"c_delay": 0,
"status": "string",
"parent_id": 0,
"condition_type": "string",
"children": {
"yes": [
],
"no": [
]
},
"created_by": 0,
"created_at": "string",
"updated_at": "string"
}
]
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI